package cz.senslog.connector.tools.jwt;

public class JWToken {

    private final String raw;
    private final JWTHeader header;
    private final JWTPayload payload;
    private final String signature;

    public JWToken(String raw, JWTHeader header, JWTPayload payload, String signature) {
        this.raw = raw;
        this.header = header;
        this.payload = payload;
        this.signature = signature;
    }

    public String getRaw() {
        return raw;
    }

    public JWTHeader getHeader() {
        return header;
    }

    public JWTPayload getPayload() {
        return payload;
    }

    public String getSignature() {
        return signature;
    }
}
